package com.iamberry.wechat.core.entity.admin;

import java.util.Date;

/**
 * description ： 后台日志记录实体类 
 * @author 何秀刚
 * create date：2016年2月18日
 */
public class AdminLog implements java.io.Serializable{
	
	/**
	 * 
	 */
	private static final long serialVersionUID = 5876782452620462199L;

	private Integer adminLogId; // id
	
	private Integer adminLogUser; // 登陆用户id
	
	private Integer adminLogGrade; // 等级
	
	private Date adminLogDate; // 时间
	
	private String adminLogDesc; // 简介
	
	private String adminLogIp; // ip地址
	
	private String adminLogParentPage; // referre
	
	private String adminLogNowPage; // 当前url
	
	private Integer adminLogUseTime; // 响应耗时
	
	private Integer adminLogStatus; // 状态码
	
	private String adminLogOther; // 其他
	
	private Integer adminLogMethod; // 请求方法
	
	private String adminLogCookie; // cookie

	public Integer getAdminLogId() {
		return adminLogId;
	}

	public void setAdminLogId(Integer adminLogId) {
		this.adminLogId = adminLogId;
	}

	public Integer getAdminLogUser() {
		return adminLogUser;
	}

	public void setAdminLogUser(Integer adminLogUser) {
		this.adminLogUser = adminLogUser;
	}

	public Integer getAdminLogGrade() {
		return adminLogGrade;
	}

	public void setAdminLogGrade(Integer adminLogGrade) {
		this.adminLogGrade = adminLogGrade;
	}

	public Date getAdminLogDate() {
		return adminLogDate;
	}

	public void setAdminLogDate(Date adminLogDate) {
		this.adminLogDate = adminLogDate;
	}

	public String getAdminLogDesc() {
		return adminLogDesc;
	}

	public void setAdminLogDesc(String adminLogDesc) {
		this.adminLogDesc = adminLogDesc;
	}

	public String getAdminLogIp() {
		return adminLogIp;
	}

	public void setAdminLogIp(String adminLogIp) {
		this.adminLogIp = adminLogIp;
	}

	public String getAdminLogParentPage() {
		return adminLogParentPage;
	}

	public void setAdminLogParentPage(String adminLogParentPage) {
		this.adminLogParentPage = adminLogParentPage;
	}

	public String getAdminLogNowPage() {
		return adminLogNowPage;
	}

	public void setAdminLogNowPage(String adminLogNowPage) {
		this.adminLogNowPage = adminLogNowPage;
	}

	public Integer getAdminLogUseTime() {
		return adminLogUseTime;
	}

	public void setAdminLogUseTime(Integer adminLogUseTime) {
		this.adminLogUseTime = adminLogUseTime;
	}

	public Integer getAdminLogStatus() {
		return adminLogStatus;
	}

	public void setAdminLogStatus(Integer adminLogStatus) {
		this.adminLogStatus = adminLogStatus;
	}

	public String getAdminLogOther() {
		return adminLogOther;
	}

	public void setAdminLogOther(String adminLogOther) {
		this.adminLogOther = adminLogOther;
	}

	public Integer getAdminLogMethod() {
		return adminLogMethod;
	}

	public void setAdminLogMethod(Integer adminLogMethod) {
		this.adminLogMethod = adminLogMethod;
	}

	public String getAdminLogCookie() {
		return adminLogCookie;
	}

	public void setAdminLogCookie(String adminLogCookie) {
		this.adminLogCookie = adminLogCookie;
	}

	@Override
	public String toString() {
		return "AdminLog [adminLogId=" + adminLogId + ", adminLogUser="
				+ adminLogUser + ", adminLogGrade=" + adminLogGrade
				+ ", adminLogDate=" + adminLogDate + ", adminLogDesc="
				+ adminLogDesc + ", adminLogIp=" + adminLogIp
				+ ", adminLogParentPage=" + adminLogParentPage
				+ ", adminLogNowPage=" + adminLogNowPage + ", adminLogUseTime="
				+ adminLogUseTime + ", adminLogStatus=" + adminLogStatus
				+ ", adminLogOther=" + adminLogOther + ", adminLogMethod="
				+ adminLogMethod + ", adminLogCookie=" + adminLogCookie + "]";
	}
}
